mshd.net
当前位置:首页 >> struts2.1有那几个核心包是必须添加的??? >>

struts2.1有那几个核心包是必须添加的???

早在struts2.0.*的时候,struts2的必备jar包需要如下几个: commons-logging-*.jar Apache旗下commons项目的log日志包 freemarker-*.jar 一种前台页面模板,应用比较广泛 ognl-*.jar 动态图导航语言,struts2处理前台页面的核心语言,相当实用 s...

commons-fileupload-1.2.1.jar commons-io-1.3.2.jar commons-logging-1.1.jar freemarker-2.3.13.jar ognl-2.6.11.jar struts2-core-2.1.6.jar xwork-2.1.2.jar

看你要什么需求了,最基本的5个包不能少,分别是commons-logging-api-1.1.jar,freemarker-2.3.16.jar,ognl-3.0.jar,struts2-core-2.2.1.1.jar,xwork-core-2.2.1.1.jar 如果需要上传文件就需要commons-fileupload-1.2.1.jar,若要用到json则...

package提供了将多个Action组织为一个模块的方式 package的名字必须是唯一的 package可以扩展 当一个package扩展自 另一个package时该package会在本身配置的基础上加入扩展的package 的配置 父package必须在子package前配置 name:package名称 e...

普通的开发需要五个, ognl.jar, struts2-spring-plugin-2.x.jar, commons-logging-1.X.jar ,struts2-core-2.x.jar, xwork-2.x.jar, freemark-2.x.jar。 当然随着你的业务肯能需要更多的jar文件

struts2.1.8所必须的jar包如下: commons-fileupload-2.1.8.jar; commons-io-1.3.2.jar; freemarker-2.3.16.jar; javassist-3.7.ga.jar; ognl-3.0.jar; struts2-core-2.1.8.1.jar; xwork-core-2.1.8.1.jar Struts 2是Struts的下一代产品,...

你可以安装maven,可自动下载需要的版本,并且可查看各jar包依赖的jar包(自动加载)。

最近刚好给学生讲struts2.3.1.2,请把下面9个jar文件放到WEB-INF\lib下。此配置可以在Eclipse 3.7 + Tomcat 6.0.35下运行正常。 commons-fileupload-1.2.2.jar commons-io-2.0.1.jar commons-lang-2.5.jar commons-logging-1.1.1.jar freemarker...

例:struts框架应用,没用使用其他框架比如spring的情况 项目名:demo 现在有三个package 访问方式:http://localhost:8080/demo/User.do 可以访问到这个UserAction 访问方式:http://localhost:8080/demo/demo1/Employee.do 可以访问到Employee...

网站首页 | 网站地图
All rights reserved Powered by www.mshd.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com